[Launch]
ProgramExecutable=GreenfishIconEditorProLegacy\gfie32.exe
ProgramExecutable64=GreenfishIconEditorPro\gfie.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[DirectoriesMove]
GFIE=%PAL:AppDir%\GreenfishIconEditorProLegacy\Data
-=%LOCALAPPDATA%\gfie

[FilesMove]
GFIEModern\*.*=%PAL:AppDir%\GreenfishIconEditorPro\data

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\GFIE\recent.txt
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\GFIE\recent.txt
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\GFIE\recent.txt
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\GFIEModern\config.json
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\GFIEModern\config.json
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\GFIEModern\config.json
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
